Bug 72456 - Font Embedding does not work on MacOS
Summary: Font Embedding does not work on MacOS
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86-64 (AMD64) macOS (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: confirmed:4.3.0.0a0+:OSX10.9
Keywords: implementationError
: 74890 93072 (view as bug list)
Depends on:
Blocks: Fonts-Embedded
  Show dependency treegraph
 
Reported: 2013-12-07 22:44 UTC by Italo Vignoli
Modified: 2021-10-24 03:44 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Italo Vignoli 2013-12-07 22:44:01 UTC
Tested with Writer and Impress documents.
File > Properties > Font > Embed font in documents
File > Save As...
Once saved, change the extension to ZIP
Decompress the ZIP file using a standard compression tool
The Font folder is missing
Comment 1 tommy27 2013-12-11 05:49:47 UTC
edited summary notes and version field to the first release where the bug has been reported. (LO 4.2 Beta 2 / LO 4.1.4 RC 1 / LO 4.1.3)

@Italo
did you experience this issue with previous releases (4.1.2 or 4.0.x)?
it is important to know if this is a regression and when it took place
Comment 2 Italo Vignoli 2013-12-11 13:21:08 UTC
Font Embedding was definitely working on 4.1.0 and 4.1.1, as I used the feature for the LibreOffice conference presentations to produce the relevant slide. I do not know if it was working on 4.1.2, as I never tried it with that version.

The first time I realized that the feature was broken I was using 4.1.3, but I did not have the time to report it immediately.
Comment 3 tommy27 2013-12-11 17:49:29 UTC
so it's a suspected regression in between of 4.1.1 and 4.1.3
a MacOS QA tester is needed to confirm and eventually bibisect this.
Comment 4 retired 2013-12-18 09:45:20 UTC
Confirmed on OS X 10.9 LO Version: 4.3.0.0.alpha0+
Build ID: 4c539fac018dfd44cd8db52161a8cb930c627da7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2013-12-18_01:54:50

decompressed zip does not have a font folder. Setting to NEW.
Comment 5 Michael Meeks 2014-02-11 13:27:24 UTC
Might be worth a look if you have a spare cycle and a Mac Tor =)
Comment 6 Adolfo Jayme Barrientos 2014-02-13 08:17:25 UTC
*** Bug 74890 has been marked as a duplicate of this bug. ***
Comment 7 urban 2014-05-06 23:25:57 UTC
Confirming with LibreOffice 4.2.1.1 on OS X 10.7
Comment 8 Andras Timar 2014-05-07 09:16:43 UTC
(In reply to comment #3)
> so it's a suspected regression in between of 4.1.1 and 4.1.3
> a MacOS QA tester is needed to confirm and eventually bibisect this.

I tested it with 4.1.0, 4.1.1, 4.1.2 and 4.1.3 and none of them worked, so I don't think it is a regression. It never worked on Mac.
Comment 9 Andras Timar 2014-05-08 16:17:45 UTC
AquaSalGraphics::GetEmbedFontData() always returns NULL, the function is not implemented.
http://opengrok.libreoffice.org/xref/core/vcl/quartz/salgdi.cxx#765
Comment 10 Maxim Monastirsky 2015-08-02 07:07:30 UTC
*** Bug 93072 has been marked as a duplicate of this bug. ***
Comment 11 j_mach_wust 2015-10-12 16:55:49 UTC
Confirming with LibreOffice 5.0.2.2 on Mac OS X 10.11.

Opening documents with embedded fonts that have been created on other systems (Linux, Windows) works successfully: Fonts that are not installed locally will be displayed. It takes considerably longer than opening documents without embedded fonts, but it works just fine.
Comment 12 alex.wies 2017-10-04 11:46:35 UTC
Confirmed on Libre Office 5.3.6.1 with MacOSX 10.10.5 Yosemite.

Is there any progress going on in this bug?
It is a very essential feature and makes the Mac OS Version kind of handicaped.

Thanks!
Comment 13 kurt.pfeifle 2017-10-22 10:48:41 UTC
Bug, after almost 4 years, is still present with LO v5.4.1.2 [Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527; CPU threads: 8; OS: Mac OS X 10.12.6; UI render: default; Locale: de-DE (en_US.UTF-8); Calc: group].
Comment 14 QA Administrators 2018-10-23 02:49:13 UTC Comment hidden (obsolete)
Comment 15 Italo Vignoli 2018-10-23 07:42:09 UTC
The function has never been implemented on MacOS, so the bug is still valid.
Comment 16 QA Administrators 2019-10-24 02:40:16 UTC Comment hidden (obsolete)
Comment 17 kurt.pfeifle 2019-10-24 08:50:02 UTC
This bug is still affecting me on macOS 10.12.6 (Sierra) with LO v6.2.7.1 (where "Check for Updates..." tells me that this is the most recent version even though I see v6.2.8 and v6.3.2 as available on the download page!).
Comment 18 Italo Vignoli 2019-10-24 13:15:47 UTC
Again, the function has never been implemented on MacOS, so the bug is still valid with all versions up to 6.4 Alpha.
Comment 19 kurt.pfeifle 2019-10-24 13:46:21 UTC
(In reply to Italo Vignoli from comment #18)
> Again, the function has never been implemented on MacOS, so the bug is still
> valid with all versions up to 6.4 Alpha.

This contradicts your own comment #2 from 6 years ago where you wrote:

     "Font Embedding was definitely working on 4.1.0 and 4.1.1 [....]"
Comment 20 Italo Vignoli 2019-10-24 14:04:34 UTC
It is rather clear that the previous comment was completely wrong.
Comment 21 QA Administrators 2021-10-24 03:44:12 UTC
Dear Italo Vignoli,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug